import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const scTableHeadCss = ":host{display:table-header-group}::slotted(*){display:table-row}";

const ScTable = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return scTableHeadCss; }
}, [1, "sc-table-head"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-table-head"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-table-head":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScTable);
      }
      break;
  } });
}
defineCustomElement$1();

const ScTableHead = ScTable;
const defineCustomElement = defineCustomElement$1;

export { ScTableHead, defineCustomElement };
